<div class="form-group">
  <label class="small">{{'Offering' | translate}}</label>
  <input #amountInput class="form-control input-lg ui-amount-input" type="number" [(ngModel)]="offering.amount" (keyup.enter)="submitOffering()" [disabled]="processing" />
</div>
<div class="form-group">
  <button (click)="submitOffering()" class="btn btn-success" [disabled]="processing">{{ !offering.$key ? ('AddOffering' | translate) : ('UpdateOffering' | translate) }}</button>
  <button *ngIf="!hideCancel" (click)="emitCancel()" class="btn btn-default" [disabled]="processing">{{'Cancel' | translate}}</button>
</div>